# CardSprite (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.card.client
Class CardSprite

    java.lang.Object
      com.threerings.media.AbstractMedia
          com.threerings.media.sprite.Sprite
              com.threerings.media.sprite.ImageSprite
                  com.threerings.media.sprite.OrientableImageSprite
                      com.threerings.media.sprite.FadableImageSprite
                          com.threerings.parlor.card.client.CardSprite

All Implemented Interfaces:
  com.threerings.media.util.Pathable, com.threerings.util.DirectionCodes, Shape

Direct Known Subclasses:
  MicroCardSprite

    public class CardSprite

extends com.threerings.media.sprite.FadableImageSprite

A sprite representing a playing card.

Field Summary

Fields inherited from class com.threerings.media.sprite.ImageSprite
`DEFAULT_FRAME_RATE, MOVEMENT_CUED, NO_ANIMATION, TIME_BASED, TIME_SEQUENTIAL`

Fields inherited from class com.threerings.media.AbstractMedia
`HUD_LAYER`

Fields inherited from interface com.threerings.util.DirectionCodes
`CARDINAL_DIRECTIONS, CCW, CW, DIRECTION_COUNT, DOWN, EAST, EASTNORTHEAST, EASTSOUTHEAST, FINE_DIRECTION_COUNT, HORIZONTAL, LEFT, NONE, NORTH, NORTHEAST, NORTHNORTHEAST, NORTHNORTHWEST, NORTHWEST, RIGHT, SOUTH, SOUTHEAST, SOUTHSOUTHEAST, SOUTHSOUTHWEST, SOUTHWEST, UP, VERTICAL, WEST, WESTNORTHWEST, WESTSOUTHWEST`

Constructor Summary
`CardSprite(CardPanel panel, Card card)` Creates a new upward-facing card sprite.
`CardSprite(CardPanel panel, Card card, boolean facingUp)` Creates a new card sprite.

Method Summary
`void` `flip(Card newCard, long duration)` Flip the card from its current displayed card to the specified card.
`Card` `getCard()` Returns the card being depicted.
`boolean` `isDraggable()` Checks whether or not the user can drag this card.
`boolean` `isFacingUp()` Checks whether this card is facing up or down.
`void` `paint(Graphics2D gfx)`
`void` `setCard(Card card)` Sets the card to depict.
`void` `setDraggable(boolean draggable)` Sets whether or not the user can drag this card around the board.
`void` `setFacingUp(boolean facingUp)` Turns this card up or down.
`void` `tick(long tickStamp)`

Methods inherited from class com.threerings.media.sprite.FadableImageSprite
`fadeIn, fadeOut, getAlpha, moveAndFadeIn, moveAndFadeInAndOut, moveAndFadeOut, pathCompleted, setAlpha`

Methods inherited from class com.threerings.media.sprite.OrientableImageSprite
`setOrientation`

Methods inherited from class com.threerings.media.sprite.ImageSprite
`hitTest, layout, setAnimationMode, setFrameRate, setFrames, setMirage`

Methods inherited from class com.threerings.media.sprite.Sprite
`addSpriteObserver, cancelMove, contains, fastForward, getHeight, getOrientation, getPath, getWidth, getX, getXOffset, getY, getYOffset, inside, intersects, isMoving, move, paintPath, pathBeginning, removeSpriteObserver, setLocation, viewLocationDidChange`

Methods inherited from class com.threerings.media.AbstractMedia
`contains, contains, contains, contains, getBounds, getBounds2D, getPathIterator, getPathIterator, getRenderOrder, init, intersects, intersects, invalidate, queueNotification, renderCompareTo, setRenderOrder, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.threerings.media.util.Pathable
`getBounds`

Constructor Detail

### CardSprite

    public CardSprite(CardPanel panel,
                      Card card)

  Creates a new upward-facing card sprite.

  Parameters:
    `panel` - the panel responsible for the sprite
    `card` - the card to depict (can be null, in which case the card back will be shown)

### CardSprite

    public CardSprite(CardPanel panel,
                      Card card,
                      boolean facingUp)

  Creates a new card sprite.

  Parameters:
    `panel` - the panel responsible for the sprite
    `card` - the card to depict
    `facingUp` - whether or not the card should be facing up

Method Detail

### setCard

    public void setCard(Card card)

  Sets the card to depict.

  Parameters:
    `card` - the new card

### getCard

    public Card getCard()

  Returns the card being depicted.

  Returns:
    the current card

### setFacingUp

    public void setFacingUp(boolean facingUp)

  Turns this card up or down.

  Parameters:
    `facingUp` - whether or not the card should be facing up

### isFacingUp

    public boolean isFacingUp()

  Checks whether this card is facing up or down.

  Returns:
    true if the card is facing up, false if facing down

### setDraggable

    public void setDraggable(boolean draggable)

  Sets whether or not the user can drag this card around the board.

  Parameters:
    `draggable` - whether or not the user can drag the card

### isDraggable

    public boolean isDraggable()

  Checks whether or not the user can drag this card.

  Returns:
    true if the user can drag the card, false if not

### flip

    public void flip(Card newCard,
                     long duration)

  Flip the card from its current displayed card to the specified card.

### tick

    public void tick(long tickStamp)

  Overrides:
    `tick` in class `com.threerings.media.sprite.FadableImageSprite`

### paint

    public void paint(Graphics2D gfx)

  Overrides:
    `paint` in class `com.threerings.media.sprite.FadableImageSprite`

Copyright © 2011. All Rights Reserved.